#!/usr/bin/env python

import os
import hashlib
import gzip

GZIP_EXT=".gz"
FILE_JMDICT="JMdict.db"
FILE_KANJI="kanjis.db"

def printFileInfo(filename):
	# stat the db file
	os.stat_float_times(False)
	fStat = os.stat(filename)
	dbSize = fStat.st_size

	# compress the file in GZip:
	f_in = open(filename, 'rb')
	f_out = gzip.open(filename + GZIP_EXT, 'wb', 9)
	f_out.writelines(f_in)
	f_out.close()
	f_in.close()

	# stat the gz file
	fStat = os.stat(filename + GZIP_EXT)
	gzSize = fStat.st_size
	gzTime = fStat.st_mtime

	# calc sha512 sum:
	md5 = hashlib.md5()
	try:
		file = open(filename + GZIP_EXT, "rb")
		buff = file.read(4096)
		while buff:
			md5.update(buff)
			buff = file.read(4096)	
	except e:
		print str(e)
	finally:
		file.close()
	gzMD5 = md5.hexdigest()
	
	# print the result:
	print filename + GZIP_EXT + " " + str(dbSize) + " " + str(gzSize) + " " + str(gzTime) + " " + gzMD5 + " <insert_db_version> <insert url>"
	
print "NarauVersionCode:4"
print "# gz_filename db_size gz_size gz_file_time gz_md5 db_version download_url another_download_url..."
for file in os.listdir('.'):
	if file == FILE_JMDICT or file == FILE_KANJI:
		printFileInfo(file)
		pass
	pass

